<?php
if(!isset($_GET['slug']) || (isset($_GET['slug']) && empty($_GET['slug']))) {
	header('location:/404.php');
	exit;
}
	/* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 


  // load records from 'portfolio'
  list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'portfolio',
	'where'		  => " `url` = '".mysql_escape($_GET['slug'])."' ",
	'loadUploads' => true,
	'allowSearch' => false,
  ));
  if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
	$product_record = $productsRecords[0];
  } else {
	header('location:/404.php');
	exit;
  }
 
  $meta_title = $meta_keywords = $meta_description = "SmartVent | Portfolio";
  if(isset($product_record['meta_title']) && !empty($product_record['meta_title']))
	$meta_title = $product_record['meta_title'];
  if(isset($product_record['meta_keywords']) && !empty($product_record['meta_keywords']))
	$meta_keywords = $product_record['meta_keywords'];
  if(isset($product_record['meta_description']) && !empty($product_record['meta_description']))
	$meta_description = $product_record['meta_description'];
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
		<base href="https://test.smartvent.com" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title><?php echo $meta_title ?></title>
		<meta name="title" content="<?php echo $meta_title ?>">
		<meta name="description" content="<?php echo $meta_description ?>">
		<meta name="keywords" content="<?php echo $meta_keywords ?>">
    </head>
    <body>
        <main class="main_catalog_wrapper">

            <?php include 'includes/header.php'; ?>

            <!-- Product Page -->
            <section class="product_page_wrapper">
                <div class="container">
                    <div class="product_back_btn">
                        <a href="portfolio.php"><span><i class="fa fa-angle-left" aria-hidden="true"></i></span>Back to Portfolio</a>
                    </div>
                    <div class="row">
                        <div class="col-md-6 col-lg-8">
                            <div class="product_left_block">
							<?php if(isset($product_record['images']) && count($product_record['images'])) {
											?>
                                
								<div class="product_gallery_block">
                                    <div id="sync1" class="owl-carousel owl-theme">
                                        <?php foreach($product_record['images'] as $image ) { 
										?>
										<div class="item">
                                            <img src="<?php echo $image['urlPath'] ?>" alt="Image" class="img-fluid">
                                        </div>
                                        <?php } ?>
                                    </div>
                                    <div id="sync2" class="owl-carousel owl-theme">
                                        
										<?php foreach($product_record['images'] as $image ) { ?>
										<div class="item">
                                            <img src="<?php echo $image['thumbUrlPath'] ?>" alt="Image" class="img-fluid">
                                        </div>
                                        <?php } ?>
                                    </div>
                                </div>
								
							<?php } ?>
                                <div class="about_product_wrap">
                                    <h2><?php echo htmlencode($product_record['title']) ?></h2>
									<div class="product-description">
									<?php echo $product_record['content'] ?>
									</div>
                                    <!--
									<div class="about_inner">
                                        <h3>Application</h3>
                                        <p>These vents are used for a home with a crawlspace or any enclosed area that desires natural air ventilation and flood protection.</p>
                                    </div>
                                    <div class="about_inner">
                                        <h3>Flood Protection</h3>
                                        <p>The vent door is latched closed until it comes in contact with flood water. Entering flood water lifts the patented internal floats which unlatch and allow the door to rotate open. This allows the flood water to automatically enter and exit through the frame opening, relieving the pressure from the foundation walls. Certified flood debris clearance is demonstrated with a 3” diameter opening when the flood door is activated.</p>
                                    </div>
									-->
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-4">
                            <div class="product_right_block">
                                <div class="product_cart_block">
                                    <div class="product_mdl">
                                        <div class="product_inner_mdl">
                                            <span><?php echo htmlencode($product_record['location']) ?></span>
                                            <p class="mdl-no"><?php echo htmlencode($product_record['title']) ?></p>
                                           
                                        </div>
                                    </div>
                                    <div class="prduct_dtls">
                                        <ul>
                                            <li>
                                             <?php echo $product_record['specs'] ?>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="tab_left_links">
                                    <h3>Downloads</h3>
                                    <ul>
										 <?php foreach ($product_record['downloads'] as $index => $upload): ?>
                                        <li><a href="<?php echo htmlencode($upload['urlPath']) ?>" target="_blank"><?php echo htmlencode($upload['info1']) ?></a></li>
										 <?php endforeach ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- End -->

         
          <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
    </body>
</html>