<? 
/* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

// load records from 'categories'
  list($categoriesRecords, $categoriesMetaData) = getRecords(array(
    'tableName'   => 'categories',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  
  list($resourceRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'resources',
	'loadUploads' => true,
	'allowSearch' => false,
  ));
  
 /*  echo '<pre>';
  print_r($resourceRecords);
  die(); */

  $meta_title = $meta_keywords = $meta_description = "SmartVent | Catalog";
  
  foreach ($categoriesRecords as $record): 

	if(isset($_GET['slug']) && $_GET['slug'] == $record['url_slug']) {
		if(isset($record['meta_title']) && !empty($record['meta_title']))
			$meta_title = $record['meta_title'];
		if(isset($record['meta_keywords']) && !empty($record['meta_keywords']))
			$meta_keywords = $record['meta_keywords'];
		if(isset($record['meta_description']) && !empty($record['meta_description']))
			$meta_description = $record['meta_description'];
	}
 endforeach;
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
		<base href="https://test.smartvent.com" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
		
        <title><?php echo $meta_title ?></title>
		<meta name="title" content="<?php echo $meta_title ?>">
		<meta name="description" content="<?php echo $meta_description ?>">
		<meta name="keywords" content="<?php echo $meta_keywords ?>">
    </head>
	<style>
		.catalog_resources {
			padding-left:22px;
			padding-bottom: 15px !important;
		
		}
		.tabs_left_main ul.nav.nav-pills {
			margin-bottom:0px !important;
		}
	</style>
    <body>
        <main class="main_catalog_wrapper">

           <?php include 'includes/header.php'; ?>

            <!-- Product Portfolio -->
            <section class="catalog_content_wrap">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="tabs_left_main">
                                <h2>Product Catalog</h2>
                                <ul class="nav nav-pills" id="pills-tab" role="tablist">
									<?php 
									$classShow = ' active';
									foreach ($categoriesRecords as $record): 
									if(isset($_GET['slug'])) {
										if(isset($_GET['slug']) && $_GET['slug'] == $record['url_slug']) {
											$classShow = ' active ';
										} else {
											$classShow = '';
										}
									}
								
									?>
                                    <li class="nav-item">
                                        <a class="nav-link<?php echo $classShow;?>" id="pills-<?php echo htmlencode($record['num']) ?>-tab" data-toggle="pill" href="#pills-<?php echo htmlencode($record['num']) ?>" role="tab" aria-controls="pills-<?php echo htmlencode($record['num']) ?>" aria-selected="true"><?php echo htmlencode($record['title']) ?></a>
                                    </li>
									<?php $classShow=''; endforeach ?>
                                    <!---<li class="nav-item">
                                        <a class="nav-link">Resources</a>
                                    </li>---->
									
                                  <!----  <li class="nav-item">
                                        <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Options <br/>& Accessories</a>
                                    </li> -->
                                </ul>
                         <!--
                                <div class="tab_left_links">
                                    <h3>Specifications</h3>
                                    <ul>
                                        <li><a href="#">Master Format '16 (.doc)</a></li>
                                    </ul>
                                </div> -->
                            </div>
							<div class="tab_left_links catalog_resources">
								<h3 style="color:#1e4080;">Resources</h3>
								<ul>									
									<?php foreach( $resourceRecords as $ind => $val ){ ?> 
										<li><a style="color:#f47f62;" href="<?php echo $val['document'][0]['urlPath']?>" target="_blank" download><?php echo $val['title'];?></a></li>	
									<?php } ?>	
								</ul>
							</div>
                        </div>
                        <div class="col-md-8 col-lg-9">
                            <div class="tab-content" id="pills-tabContent">
                                <?php 
								$classShow = ' show active ';
								
								foreach ($categoriesRecords as $record): 
								if(isset($_GET['slug'])) {
									if(isset($_GET['slug']) && $_GET['slug'] == $record['url_slug']) {
										$classShow = ' show active ';
									} else {
										$classShow = '';
									}
								}
								
								// load records from 'products'
								  list($productsRecords, $productsMetaData) = getRecords(array(
									'tableName'   => 'products',
									'where'		  => "FIND_IN_SET(".$record['num'].", REPLACE( `category` , '\t', ',' ) )",
									'loadUploads' => true,
									'allowSearch' => false,
								  ));
								
								?>
                                    
									<div class="tab-pane fade <?php echo $classShow ?>" id="pills-<?php echo htmlencode($record['num']) ?>" role="tabpanel" aria-labelledby="pills-<?php echo htmlencode($record['num']) ?>-tab">
                                    <div class="tab_header">
                                        <h2><?php echo htmlencode($record['title']) ?></h2>
                                    </div>
                                    <div class="row">
										<?php foreach ($productsRecords as $record2): 
											$image = 'images/product_img.jpg';
											if(isset($record2['image'][0]['urlPath']) && !empty($record2['image'][0]['urlPath'])) {
												$image = $record2['image'][0]['urlPath'];
											}
										?>
                                        <div class="col-md-6 col-lg-4">
                                            <div class="model_block">
                                               <a href="/products/view/<?php echo htmlencode($record2['product_url']) ?>">
											   <div class="sv-image"style="background-image:url('<?php echo $image ?>');"></div>
											   <?php /* <img src="<?php echo $image ?>" alt="<?php echo htmlencode($record['title']) ?>" title="<?php echo htmlencode($record['title']) ?>" class="img-fluid">*/?></a>
                                                <div class="model_inner" style="text-align:center">
                                                    <h3><?php echo htmlencode($record2['title']) ?></h3>
                                                    <p><?php echo htmlencode($record2['short_description']) ?></p>
                                                    <a href="/products/view/<?php echo htmlencode($record2['product_url']) ?>" class="btn_2">Details</a>
                                                    <a href="/locator.php" class="btn_5">Find Dealer</a>
                                                </div>
                                            </div>
                                        </div>
                                     <?php endforeach ?>
										
										
										
										
										
                                       
                                    </div>
                                </div>
								<?php 
								$classShow = '';
								endforeach ?>
                             
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- End -->

            <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
    </body>
</html>