<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

        <title>SmartVent | Homepage</title>
    </head>
    <body>
        <main class="main_homepage_wrapper">
<?php include 'includes/header.php'?>
           

            <!-- Banner Block -->
            <section class="banner_wrap">
                <?php /*

				<div class="container bnr_content">
					
					<?php foreach ($home_page_sliderRecords as $record): ?>
					<?php foreach ($record['slider_image'] as $index => $upload): ?>
                    <div class="row">
                        <div class="col-md-6 offset-md-6">
                            <div class="banner_content" style="background: image(<?php echo htmlencode($upload['urlPath']) ?>)">
                                <h1><?php echo htmlencode($record['title']) ?></h1>
                                <a href="<?php echo htmlencode($record['button_link']) ?>" class="btn_1"><?php echo htmlencode($record['button_text']) ?></a>
                            </div>
                        </div>
                    </div>
					<?php endforeach ?>
					<?php endforeach ?>
					
                </div>
				*/ ?>
				<div class="banner_slider owl-carousel owl-theme" id="owl_banner">
					<?php foreach ($home_page_sliderRecords as $record): ?>
					<?php foreach ($record['slider_image'] as $index => $upload): ?>
					<div class="item_banner">
						<div class="img_banner">
							<img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="<?php echo htmlencode($record['title']) ?>" title="<?php echo htmlencode($record['title']) ?>">
						</div>
						<div class="banner_content container">
							<h1><?php echo htmlencode($record['title']) ?></h1>
							<a href="<?php echo htmlencode($record['button_link']) ?>" class="btn_1"><?php echo htmlencode($record['button_text']) ?></a>
						</div>
					</div>                    
					<?php endforeach ?>
					<?php endforeach ?>
				</div>
                <div class="banner_info_strip">
                    <div class="container">
						
                       <ol class="banner_pts">
                            <li class="breadcrumb-item"><a><?php echo htmlencode($homepage_contentRecord['announcement_box']) ?></a></li>
                        </ol> 
                    </div>
                </div>
            </section>
            <!-- End -->

            <!-- Plantation Block -->
            <section class="plantation_wrapper">
                <div class="container">
                    <div class="row">
                        <div class="col-md-7">
                            <div class="plant_content">
                                <?php echo $homepage_contentRecord['feature_text']; ?>
                            </div>
                        </div>
                        <div class="col-md-5">
                            <div class="plant_img">
                                <img src="images/feature_image.png" alt="Image" class="img-fluid">
                            </div>
                        </div>
                    </div>
					
                </div>
            </section>
            <!-- End -->

            <!-- Popular Modals Block -->
            <section class="popular_modals_wrap">
                <div class="container">
                    <div class="header">
                        <h2 class="h_txt">Popular <span>Models</span></h2>
                    </div>
					<?php 
					/* getting product records */
					list($productsRecords, $productsMetaData) = getRecords(array(
						'tableName'   => 'products',
						'where'		  => "`homepage_feature` LIKE '%Yes%'",
						'loadUploads' => true,
						'allowSearch' => false,
					));
					if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
						?>
						<div class="row">
						<?php foreach ($productsRecords as $record2): 
								$image = 'images/product_img.jpg';
								if(isset($record2['image'][0]['urlPath']) && !empty($record2['image'][0]['urlPath'])) {
									$image = $record2['image'][0]['urlPath'];
								}
								?>
								<div class="col-md-3">
									<div class="model_block">
<a href="/products/view/<?php echo htmlencode($record2['product_url']) ?>" class="btn_2">
									<div class="sv-image"style="background-image:url('<?php echo $image ?>');"></div></a>
									<?php /*
										<img src="<?php echo $image ?>" alt="<?php echo htmlencode($record['title']) ?>" title="<?php echo htmlencode($record['title']) ?>" class="img-fluid"> */ ?>
										<div class="model_inner" style="text-align:center">
											<h3><?php echo htmlencode($record2['title']) ?></h3>
											<p><?php echo htmlencode($record2['short_description']) ?></p>
											<a href="/products/view/<?php echo htmlencode($record2['product_url']) ?>" class="btn_2">Details</a>
											<!-- <a href="/locator.php" class="btn_5">Find Dealer</a> -->
										</div>
									</div>
								</div>
								<?php
								endforeach;
								?>
						</div>
						<?php
					}
					/*
                    <div class="row">
                        <div class="col-md-3">
                            <div class="model_block">
                                <img src="images/product_img.jpg" alt="Image" class="img-fluid">
                                <div class="model_inner">
                                    <h3>Product Title</h3>
                                    <p>Product Description Goes Here</p>
                                    <a href="#" class="btn_2">Find Dealer</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="model_block">
                                <img src="images/product_img.jpg" alt="Image" class="img-fluid">
                                <div class="model_inner">
                                    <h3>Product Title</h3>
                                    <p>Product Description Goes Here</p>
                                    <a href="#" class="btn_2">Find Dealer</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="model_block">
                                <img src="images/product_img.jpg" alt="Image" class="img-fluid">
                                <div class="model_inner">
                                    <h3>Product Title</h3>
                                    <p>Product Description Goes Here</p>
                                    <a href="#" class="btn_2">Find Dealer</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="model_block">
                                <img src="images/product_img.jpg" alt="Image" class="img-fluid">
                                <div class="model_inner">
                                    <h3>Product Title</h3>
                                    <p>Product Description Goes Here</p>
                                    <a href="#" class="btn_2">Find Dealer</a>
                                </div>
                            </div>
                        </div>
                    </div>
					 */ ?>
                </div>
            </section>
            <!-- End -->
<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  // load record from 'ad_banner'
  list($ad_bannerRecords, $ad_bannerMetaData) = getRecords(array(
    'tableName'   => 'ad_banner',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $ad_bannerRecord = @$ad_bannerRecords[0]; // get first record
  if (!$ad_bannerRecord) { dieWith404("Record not found!"); } // show error message if no record found

?>
<div style="text-align:center">
 <?php foreach ($ad_bannerRecord['banner_upload'] as $index => $upload): ?>
        
          <img src="<?php echo htmlencode($upload['urlPath']) ?>" width="100%" height="auto" alt="">
        <?php endforeach ?>
</div>
            <!-- Why SmartVent Block -->
            <section class="whyus_wrapper">
                <div class="whyus_header">
                    <div class="whyus_header_inner">
                        <h2>Why Smart Vent?</h2>
                      <?php echo $homepage_contentRecord['why_smartvent']; ?><br /><br />
                    </div>
                </div>
                <div class="container-fluid">
                    <div class="why_main_wrap">
                        <div class="whyus_side">
                            <div class="why_content_left">
                                <ul>
                                    <li>
                                        <span>1</span>
                                        <p>Pivot pins allow for bi-directional swing</p>
                                    </li>
                                    <li>
                                        <span>2</span>
                                        <p>Contains weather stripping and a 2" insulated core with an R-value of 8.34</p>
                                    </li>
                                    <li>
                                        <span>3</span>
                                        <p>316 US Marine-Grade Stainless Steel Construction. Powder coat paint options available.</p>

                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="why_image_wrap">
                            <div class="whyus_image">
                                <img src="images/whyus_image.png" alt="Image" class="img-fluid"><br />
<div style="text-align:center">*Pictured: Insulated Flood Vent (Model 1540-520)</div>
                            </div>
                        </div>
                        <div class="whyus_side">
                            <div class="why_content_left why_right">
                                <ul>
                                    <li>
                                        <span>4</span>
                                       <p>Spring clips for easy installation.</p> 
                                    </li>
                                    <li>
                                        <span>5</span>
                                        <p>3” debris clearance required for ICC-ES Certification</p>
                                    </li>
                                    <li>
                                        <span>6</span>
                                        <p>Door slots and internal floats for flood door activation</p>
                                    </li>
                                   
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="why_feature_wrap">
						 <?php foreach ($homepage_contentRecord['icons1'] as $index => $upload): ?>
                        <div class="why_feature_block">
                            <div class="why_image">
                                <img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="Image" class="img-fluid">
                            </div>
                            <div class="why_feature_info">
                                <h3><?php echo htmlencode($upload['info1']) ?></h3>
                                <p><?php echo htmlencode($upload['info2']) ?></p>
                            </div>
                        </div>
                       <?php endforeach ?>
                    </div>
 <div class="whyus_services">
                        <div class="row">
							<?php foreach ($homepage_contentRecord['icon_set_2'] as $index => $upload): ?>
                            <div class="col-md-2">
                                <div class="service_block">
                                    <img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="Icon" class="img-fluid">
                                    <h2><?php echo htmlencode($upload['info1']) ?></h2>
                                </div>
                            </div>
							<?php endforeach ?>
                           
                        </div>
                    </div>

                    <div class="why_quote_wrap">
                        <p><span><?php echo $homepage_contentRecord['breakout_box']; ?></p>
                    </div>
                    <div class="whyus_services">
                        <div class="row">
							<?php foreach ($homepage_contentRecord['affiliation_logos'] as $index => $upload): ?>
                            <div class="col-md-2">
                                <div class="service_block">
                                    <img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="Icon" class="img-fluid">
                                
                                </div>
                            </div>
							<?php endforeach ?>
                           
                        </div>
                    </div>
                </div>
            </section>
            <!-- End -->

           <?php include 'includes/locator.php'?>
           <?php include 'includes/flood.php'?>

            <?php include 'includes/footer.php'?>
            
        </main>
        
        
    </body>
</html>

