<?php /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'products',
	'loadUploads' => true,
	'allowSearch' => false,
));


include('includes/function.php');
$arrError = $tmpItem = array();
if(isset($_POST['btn_submit'])){
	if(isset($_POST['first_name']) && empty($_POST['first_name'])){
		$arrError['first_name'] = "Please enter first name."; 
	}
	if(isset($_POST['last_name']) && empty($_POST['last_name'])){
		$arrError['last_name'] = "Please enter last name."; 
	}
	if(isset($_POST['company_name']) && empty($_POST['company_name'])){
		$arrError['company_name'] = "Please enter company name."; 
	}
	if(isset($_POST['email']) && empty($_POST['email'])){
		$arrError['email'] = "Please enter email address."; 
	}else if(isset($_POST['email']) && !empty($_POST['email']) && !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
		$arrError['email'] = 'Please enter valid email address.';
	}
	if(isset($_POST['phone']) && empty($_POST['phone'])){
		$arrError['phone'] = "Please enter phone number."; 
	}
	if(isset($_POST['street_address']) && empty($_POST['street_address'])){
		$arrError['street_address'] = "Please enter street address."; 
	}
	if(isset($_POST['city']) && empty($_POST['city'])){
		$arrError['city'] = "Please enter city."; 
	}
	if(isset($_POST['state']) && empty($_POST['state'])){
		$arrError['state'] = "Please enter state."; 
	}
	if(isset($_POST['zipcode']) && empty($_POST['zipcode'])){
		$arrError['zipcode'] = "Please enter zipcode."; 
	}
	if(isset($_POST['purchased_from']) && empty($_POST['purchased_from'])){
		$arrError['purchased_from'] = "Please enter purchase from."; 
	}
	if(isset($_POST['purchased_date']) && empty($_POST['purchased_date'])){
		$arrError['purchased_date'] = "Please enter purchase date."; 
	}
	if(isset($_POST['installed_by']) && empty($_POST['installed_by'])){
		$arrError['installed_by'] = "Please enter installed by."; 
	}
	if(!isset($_POST['i_agree'])){
		$arrError['i_agree'] = "Please check i agee."; 
	}
	if(!isset($_POST['g-recaptcha-response'])){
		$arrError['recatcha'] = "Please select 'I am not a robot' and prove that you are human."; 
	}else if(isset($_POST['g-recaptcha-response'])) {
		/* your site secret key */
		$secret = '6LePxwcUAAAAAHogvl0tYWFB63iJ-AJCjTQrSffT';
		/* get verify response data */
		$verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$secret.'&response='.$_POST['g-recaptcha-response']);
		$responseData = json_decode($verifyResponse);
		if(!$responseData->success) {
			$arrError['recatcha'] = "Please select 'I am not a robot' and prove that you are human."; 
		}
	}
	
	/* product_registration_id */
	$arrError = _err_delimiter($arrError);	
	
	if(isset($arrError) && is_array($arrError) && count($arrError)==0){
		$arrItem = array_column($productsRecords,'model','num');
		$headers = "MIME-Version: 1.0" . "\r\n";
		$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
		/* $headers .= 'From: <webmaster@example.com>' . "\r\n"; */
		/* $headers .= 'Cc: swyam.joshi@gmail.com' . "\r\n"; */
		$to = 'dev@s2smedia.net';
		$subject = "Product registration data";
		
		$itemHTML = file_get_contents('product_register_item_content.html');
		$itemContent = '';
		foreach($_POST['product_model'] as $key => $val){
			if(!empty($val)){
				$itemContent .= str_replace(array('[PRODUCT_MODEL]','[SERIAL_NUMBER]'),array($arrItem[$val],$_POST['product_serial_number'][$key]),$itemHTML);
			}
		}
		if(!isset($_POST['quality_of_install'])){
			$_POST['quality_of_install'] = 0;
		}
		if(!isset($_POST['flood_insurance_premium'])){
			$_POST['flood_insurance_premium'] = 0;
		}
		$arrFind = array(
			'[COMPANY_NAME]','[FIRST_NAME]','[LAST_NAME]','[STREET_ADDRESS]',
			'[CITY]','[STATE]','[ZIPCODE]','[PHONE]','[EMAIL]',
			'[PURCHASED_FROM]','[PURCHASED_DATE]','[INSTALLED_BY]',
			'[QUALITY_OF_INSTALL]','[CONSTRUCTION_RETROFIT]','[YOUR_EXPERIENCE]',
			'[USER_TYPE]','[PRODUCT_ITEM]','[CONTACT_NAME]','[CONTACT_EMAIL]','[CONTACT_PHONE]',
		);
		$arrReplace = array(
			$_POST['company_name'],$_POST['first_name'],$_POST['last_name'],$_POST['street_address'],
			$_POST['city'],$_POST['state'],$_POST['zipcode'],$_POST['phone'],$_POST['email'],
			$_POST['purchased_from'],date('d F, Y',strtotime($_POST['purchased_date'])),$_POST['installed_by'],
			$_POST['quality_of_install'],$_POST['construction_retrofit'],$_POST['your_experience'],
			$_POST['user_type'],$itemContent,$_POST['contact_name'],$_POST['contact_email'],$_POST['contact_phone'],
		);
		$tmpHTML = file_get_contents('product_register_email_content.html');
		$tmpContent = str_replace($arrFind,$arrReplace,$tmpHTML);
		$emailHTML = file_get_contents('email_template.html');
		$message = str_replace('[EMAIL_CONTENT]',$tmpContent,$emailHTML);
		mail($to,$subject,$message,$headers);
		
		$arrField = array(
			'createdDate' 				=> date('Y-m-d H:i:s'),
			'updatedDate' 				=> date('Y-m-d H:i:s'),
			'createdByUserNum' 			=> 0,
			'updatedByUserNum' 			=> 0,
			'dragSortOrder' 			=> 0,
			'first_name' 				=> mysql_escape($_POST['first_name']),
			'last_name' 				=> mysql_escape($_POST['last_name']),
			'street_address' 			=> mysql_escape($_POST['street_address']),
			'email' 					=> mysql_escape($_POST['email']),
			'company_name' 				=> mysql_escape($_POST['company_name']),
			'phone' 					=> mysql_escape($_POST['phone']),
			'city' 						=> mysql_escape($_POST['city']),
			'state' 					=> mysql_escape($_POST['state']),
			'zipcode' 					=> mysql_escape($_POST['zipcode']),
			'user_type' 				=> mysql_escape($_POST['user_type']),
			'purchased_from' 			=> mysql_escape($_POST['purchased_from']),
			'purchased_date' 			=> date('Y-m-d H:i:s',strtotime(mysql_escape($_POST['purchased_date']))),
			'installed_by' 				=> mysql_escape($_POST['installed_by']),
			'quality_of_install' 		=> mysql_escape($_POST['quality_of_install']),
			'construction_retrofit' 	=> mysql_escape($_POST['construction_retrofit']),
			'your_experience' 			=> mysql_escape($_POST['your_experience']),
			'flood_insurance_premium' 	=> mysql_escape($_POST['flood_insurance_premium']),
			'contact_name' 				=> mysql_escape($_POST['contact_name']),
			'contact_email' 			=> mysql_escape($_POST['contact_email']),
			'contact_phone' 			=> mysql_escape($_POST['contact_phone']),
		);
		
		$query = "INSERT INTO `cmsb_product_registrations` (`".implode('`,`',array_keys($arrField))."`) VALUES ('".implode("','",array_values($arrField))."') ";
		$result = mysqli()->query($query) or die("$VIEWER_NAME: MySQL Error: ". htmlencode(mysqli()->error) . "\n");
		$last_product_uid = mysqli()->insert_id;
		if($last_product_uid){
			foreach($_POST['product_model'] as $key => $val){
				if($val){
					$arrField = array(
						'createdDate' 				=> date('Y-m-d H:i:s'),
						'updatedDate' 				=> date('Y-m-d H:i:s'),
						'createdByUserNum' 			=> 0,
						'updatedByUserNum' 			=> 0,
						'dragSortOrder' 			=> 0,
						'product_registration_id' 	=> $last_product_uid,
						'product_model' 			=> mysql_escape($val),
						'product_serial_number' 	=> mysql_escape($_POST['product_serial_number'][$key]),
					);
					$query = "INSERT INTO `cmsb_product_registration_items` (`".implode('`,`',array_keys($arrField))."`) VALUES ('".implode("','",array_values($arrField))."') ";
					$result = mysqli()->query($query) or die("$VIEWER_NAME: MySQL Error: ". htmlencode(mysqli()->error) . "\n");
				}				
			}
		}
		header("location:product-registration.php");
		die;
	}else{
		foreach($_POST['product_model'] as $key => $val){
			if($val){
				$tmpItem[] = array(
					'product_model' 	=> $val,
					'serial_number' 	=> $_POST['product_serial_number'][$key]
				);
			}
		}
	}
}
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title>SmartVent | Register My SmartVent</title>
		<style>
			.c-parent-row .c-row{
				position:relative;
			}
			.c-remove-item{
			    position: absolute;
				right: 10px;
				top: 10px;
				padding: 3px 5px;
				border-radius: 20px;
				color: #1e4080;
				font-size: 20px;
				cursor: pointer;
			}
		</style>
    </head>
    <body>
        <main class="main_registernow_wrapper">

            <?php include 'includes/header.php'?>

      
<div class="container">
           <div class="tab_header">
                                               <h2>REGISTER MY SMARTVENT</h2>
                                    </div></div>

            <!-- Register My SmartVent -->
            <section class="sv_regiter_wrapper">
                <div class="container">
                    <form id="register-form" method="post">
                        <div class="contact_form_wrapper register_form_wrapper">
                            <div class="register_contact_info">
                                <h2 class="reg_title">Contact Information</h2>
                                <div class="form-row form-group adj-form form-space1">
                                    <div class="col">
                                        <label>First Name</label>
                                        <input name="first_name" type="text" class="form-control" placeholder="First Name" value="<?=_prePopulate('first_name')?>">
										<?php echo _arrError('first_name');?>
                                    </div>
                                    <div class="col">
                                        <label>Last Name</label>
                                        <input name="last_name" type="text" class="form-control" placeholder="Last Name" value="<?=_prePopulate('last_name')?>">
										<?php echo _arrError('last_name');?>
                                    </div>
                                </div>
                                <div class="form-row form-group full_form form-space1">
                                    <div class="col">
                                        <label>Company Name</label>
                                        <input name="company_name" type="text" class="form-control" placeholder="Company Name" value="<?=_prePopulate('company_name')?>">
										<?php echo _arrError('company_name');?>
                                    </div>
                                </div>
                                <div class="form-row form-group adj-form form-space2">
                                    <div class="col">
                                        <label>Email Address</label>
                                        <input name="email" type="email" class="form-control" placeholder="Email Address" value="<?=_prePopulate('email')?>">
										<?php echo _arrError('email');?>
                                    </div>
                                    <div class="col">
                                        <label>Phone Number</label>
                                        <input name="phone" type="text" class="form-control" placeholder="Phone Number" value="<?=_prePopulate('phone')?>">
										<?php echo _arrError('phone');?>
                                    </div>
                                </div>
                                <div class="form-row form-group full_form form-space1">
                                    <div class="col">
                                        <label>Street Address</label>
                                        <input name="street_address" type="text" class="form-control" placeholder="Street Address" value="<?=_prePopulate('street_address')?>">
										<?php echo _arrError('street_address');?>
                                    </div>
                                </div>
                                <div class="form-row form-group form-space2">
                                    <div class="col">
                                        <div class="three_field">
                                            <div class="field_wrap">
                                                <label>City</label>
                                                <input name="city" type="text" class="form-control" placeholder="City" value="<?=_prePopulate('city')?>">
												<?php echo _arrError('city');?>
                                            </div>
                                            <div class="field_wrap2">
                                                <label>State</label>
                                                <input name="state" type="text" class="form-control" placeholder="State" value="<?=_prePopulate('state')?>">
												<?php echo _arrError('state');?>
                                            </div>
                                            <div class="field_wrap3">
                                                <label>Zip</label>
                                                <input name="zipcode" type="text" class="form-control" placeholder="Zip" value="<?=_prePopulate('zipcode')?>">
												<?php echo _arrError('zipcode');?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
								<div class="feed_block_radio">
									<label>Are You</label>
									<div class="form-check form-check-inline">
										<input class="form-check-input" type="radio" name="user_type" id="user_type1" value="Homeowner" checked="checked" <?=_chePrepopulate('user_type','Homeowner');?> >
										<label class="form-check-label pb-1" for="user_type1">Homeowner</label>
									</div>
									<div class="form-check form-check-inline">
										<input class="form-check-input" type="radio" name="user_type" id="user_type2" value="Contractor" <?=_chePrepopulate('user_type','Contractor');?> >
										<label class="form-check-label pb-1" for="user_type2">Contractor</label>
									</div>
								</div>
                            </div>
                        </div>
                        <div class="register_product_info contact_form_wrapper register_form_wrapper">
                            <h2 class="reg_title">Product Information</h2>
                            <div class="form-row form-group adj-form form-space1">
                                <div class="col pur_from">
                                    <label>Purchased From</label>
                                    <input name="purchased_from" type="text" class="form-control" placeholder="Purchased From" value="<?=_prePopulate('purchased_from')?>">
									<?php echo _arrError('purchased_from');?>
                                </div>
                                <div class="col pur_date">
                                    <label>Purchased Date</label>
                                    <input name="purchased_date" type="date" class="form-control" placeholder="Purchased Date" value="<?=_prePopulate('purchased_date')?>">
									<?php echo _arrError('purchased_date');?>
                                </div>
                            </div>
                            <div class="product_inner_block">
								<div class="c-temp-row" hidden> 
									<div class="product_inner_info c-row">
										<span class="c-remove-item"><i class="fa fa-minus-circle fa-lg"></i></span>
										<div class="form-row form-group form-space1">
											<div class="col">
												<label>Select Model</label>
												<select name="product_model[]" class="form-control c-product_model">
													<option value="">Select Model</option>
													<?
													foreach( $productsRecords as $row ) { ?>
														<option value="<?php echo $row['num'];?>"><?php echo $row['model'];?></option>												
														<?php 
													}?>
												</select>
											</div>
										</div>
										<div class="form-row form-group form-space1">
											<div class="col">
												<label>Product Serial Number (only one per model required)

 </label>
												<input name="product_serial_number[]" type="text" class="form-control c-serial_number">
											</div>
										</div>
									</div>
								</div>
								<div class="c-parent-row">									
								</div>
								
                                <div class="product_inner_add">
                                    <a href="javascript:void(0)" class="c-add-row"><span><i class="fa fa-plus"></i></span>Add Another Model</a>
                                </div>
                            </div>
                        </div>
                        <div class="feedback_form contact_form_wrapper register_form_wrapper">  
                            <h2 class="reg_title">We'd love to hear some more feedback!</h2>
                            <div class="feed_block_radio">
                                <label>Were your Smart Vents installed into new construction or an existing structure?</label><br />
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="construction_retrofit" id="inlineRadio3" value="new" checked="checked" <?=_chePrepopulate('construction_retrofit','new');?> >
                                    <label class="form-check-label" for="inlineRadio3">New</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="construction_retrofit" id="inlineRadio4" value="retro" <?=_chePrepopulate('construction_retrofit','retro');?> >
                                    <label class="form-check-label" for="inlineRadio4">Existing</label>
                                </div>
                            </div><br /><br />
                            <div class="form-row form-group form-space1 form_install">
                                <div class="col">   
                                    <div class="feed_block_input">
                                        <label>Installed by</label>
                                        <input name="installed_by" type="text" class="form-control" placeholder="Installed By" value="<?=_prePopulate('installed_by')?>">
										<?php echo _arrError('installed_by');?>
                                    </div>
                                </div>
<!--
                                <div class="col">
                                    <div class="install_rating">
                                        <label>Quality of Install</label>
                                        <div class="star-rating">
                                            <input type="radio" id="5-stars" name="quality_of_install" value="5" <?=_chePrepopulate('quality_of_install',5);?> />
                                            <label for="5-stars" class="star">&#9733;</label>
                                            <input type="radio" id="4-stars" name="quality_of_install" value="4" <?=_chePrepopulate('quality_of_install',4);?> />
                                            <label for="4-stars" class="star">&#9733;</label>
                                            <input type="radio" id="3-stars" name="quality_of_install" value="3" <?=_chePrepopulate('quality_of_install',3);?> />
                                            <label for="3-stars" class="star">&#9733;</label>
                                            <input type="radio" id="2-stars" name="quality_of_install" value="2" <?=_chePrepopulate('quality_of_install',2);?> />
                                            <label for="2-stars" class="star">&#9733;</label>
                                            <input type="radio" id="1-star" name="quality_of_install" value="1" <?=_chePrepopulate('quality_of_install',1);?> />
                                            <label for="1-star" class="star">&#9733;</label>
                                        </div>
                                    </div>
                                </div>
                            </div> -->
							<div class="form-row form-group adj-form form-space1">
								<div class="col">
									<label>Contact Name</label>
									<input name="contact_name" type="text" class="form-control" placeholder="Contact Name" value="<?=_prePopulate('contact_name')?>">
								</div>
								<div class="col">
									<label>Contact Email</label>
									<input name="contact_email" type="email" class="form-control" placeholder="Contact Email" value="<?=_prePopulate('contact_email')?>">
								</div>
								<div class="col pt-2">
									<label>Contact Phone</label>
									<input name="contact_phone" type="text" class="form-control" placeholder="Contact Phone" value="<?=_prePopulate('contact_phone')?>">
								</div>
							</div>							
                            <div class="form-row form-group form-space1">
                                <div class="col">
                                    <div class="feed_expnce">
                                        <label>Tell us about your experience</label>
                                        <textarea name="your_experience" class="form-control" placeholder="Your Experience"><?=_prePopulate('your_experience')?></textarea>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="feed_browse">
                                        <label>Upload photo of your install</label>
                                        <div class="browse_block">
                                            <span id="custom-text">No File Selected</span>
                                            <input type="file" id="real-file" hidden="hidden" />
                                            <button type="button" class="exhi_browse" id="custom-button">Choose File</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="custom-control">
                            
                                <label for="flood_insurance_premium">Did you get a lower flood insurance rate after the installation of your vents?</label>
 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="construction_retrofit" id="inlineRadio3" value="new" checked="checked" <?=_chePrepopulate('construction_retrofit','new');?> >
                                    <label class="form-check-label" for="inlineRadio3">Yes</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="construction_retrofit" id="inlineRadio4" value="retro" <?=_chePrepopulate('construction_retrofit','retro');?> >
                                    <label class="form-check-label" for="inlineRadio4">No</label>
                                </div>
                            </div>
                        </div>
                        <div class="register_final_step">
                            <div class="agree_check">
                                <span>In order to process this warranty, we’ll need to send you up to date information regarding FEMA and the National Flood Insurance Program, and a member of Risk Reduction Plus may reach out. You may opt out at any time after the initial email communication.</span>
                                <div class="custom-control custom-checkbox ">
                                    <input name="i_agree" type="checkbox" class="custom-control-input" id="customCheck3" value="1" <?=_chePrepopulate('i_agree',1);?>>
                                    <label class="custom-control-label" for="customCheck3">I Agree</label>
									<?php echo _arrError('i_agree');?>
                                </div>
                            </div>
                            <div class="regsiter_submit_wrap">
                                <div class="form-group">
                                    <div class="g-recaptcha" data-sitekey="6LePxwcUAAAAALmudwVqcu1FKXkP1BDhiYeuf7_o" data-callback="verifyRecaptchaCallback" data-expired-callback="expiredRecaptchaCallback"></div>
                                    <input class="form-control d-none" data-recaptcha="true" data-error="Please complete the Captcha">
                                    <div class="help-block with-errors"></div>
									<?php echo _arrError('recatcha');?>
                                </div>
                                <div class="register_btn">
                                    <button type="submit" style="border: unset;" class="regisbtn_lnk" name="btn_submit">Submit</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </section>
            <!-- End -->

          <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
        <script src='https://www.google.com/recaptcha/api.js'></script>
		
		<script class="c-tmp-script">
			var _arrItem = (<?=count($tmpItem)?>) ? JSON.parse('<?=addslashes(json_encode($tmpItem));?>') : {};
			$('.c-tmp-script').remove();
		</script>
		<script>
		$(document).ready(function(){
			$('.c-add-row').click(function(){
				$('.c-parent-row').append($('.c-temp-row').html());
				$('.c-parent-row .c-row:last').find('input,select').attr('required',true);
			});
			$('.c-parent-row').on('click','.c-remove-item',function(){
				$(this).closest('.c-row').remove();
			});
			if(Object.keys(_arrItem).length){
				_setItemHtml(_arrItem);
			}else{
				$('.c-add-row').trigger('click');
			}
			$('.c-parent-row .c-remove-item:first').remove();
		});
		function _setItemHtml(arrData){
			$.each(arrData,function(key,val){
				$('.c-add-row').trigger('click');
				var _tmp = $('.c-parent-row .c-row:last');
				_tmp.find('.c-product_model').val(val.product_model);
				_tmp.find('.c-serial_number').val(val.serial_number);
			})
		}
		</script>

    </body>
</html>