<?php
	if(!isset($_GET['slug']) || (isset($_GET['slug']) && empty($_GET['slug']))) {
		header('location:/404.php');
		exit;
	}
	/* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

// load records from 'products'
  list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'products',
	'where'		  => " `product_url` = '".mysql_escape($_GET['slug'])."' ",
	'loadUploads' => true,
	'allowSearch' => false,
  ));
  if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
	$product_record = $productsRecords[0];
  } else {
	header('location:/404.php');
	exit;
  }
 
  $meta_title = $meta_keywords = $meta_description = "SmartVent | Product";
  if(isset($product_record['meta_title']) && !empty($product_record['meta_title']))
	$meta_title = $product_record['meta_title'];
  if(isset($product_record['meta_keywords']) && !empty($product_record['meta_keywords']))
	$meta_keywords = $product_record['meta_keywords'];
  if(isset($product_record['meta_description']) && !empty($product_record['meta_description']))
	$meta_description = $product_record['meta_description'];
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
		<base href="https://test.smartvent.com" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title><?php echo $meta_title ?></title>
		<meta name="title" content="<?php echo $meta_title ?>">
		<meta name="description" content="<?php echo $meta_description ?>">
		<meta name="keywords" content="<?php echo $meta_keywords ?>">
		<style>
		<!--.c-magnified {
			display: none;
			position: absolute;
			width: 200px;
			height: 200px;
			border: 1px solid black;
			box-shadow: 5px 5px 12px black;
			background: rgba(0, 0, 0, 0.25);
			cursor: crosshair;
			overflow: hidden;
			}

		.c-magnified img {
			position: absolute;
			right: 0;
		}-->
		</style>
	
    </head>
	
	<style>
		.tab_left_links ul li a {
			color:#f47f62;
		}
		#sync2 .owl-nav {
			display:block;
		}
		#sync2 .owl-nav .owl-prev {
			width:15px !important;
			position: absolute;
			left: -20px;
			top: 50px;	
		}
		#sync2 .owl-nav .owl-next {
			width:15px !important;
			position: absolute;
			right: -20px;
			top: 50px;	
		}
		@media (max-width:768px) {
			#sync2 .owl-nav .owl-prev {
				left:0px !important;
				top:35px !important;
			}
			#sync2 .owl-nav .owl-next {
				right:0px !important;
				top:35px !important;
			}
		}
		
		@media (max-width:450px) {
			#sync2 .owl-nav .owl-prev {
				left:-10px !important;
				top:35px !important;
			}
			#sync2 .owl-nav .owl-next {
				right:-10px !important;
				top:35px !important;
			}
		}
	</style>
    <body>
        <main class="main_catalog_wrapper">

            <?php include 'includes/header.php'; 
			$arrTemp = explode(",",str_replace("\t",",",$product_record['category']));
			$back_to_product_link = '/products/';
			foreach ($categoriesRecordsMenu as $record):
				if(in_array($record['num'],$arrTemp)) {
					$back_to_product_link = '/products/'.$record['url_slug'];
				}
			endforeach;
			
			?>

            <!-- Product Page -->
            <section class="product_page_wrapper">
                <div class="container">
                    <div class="product_back_btn">
                        <a href="<?php echo $back_to_product_link;?>"><span><i class="fa fa-angle-left" aria-hidden="true"></i></span>Back to Product Catalog</a>
                    </div>
                    <div class="row">
                        <div class="col-md-6 col-lg-8">
                            <div class="product_left_block">
							<?php if(isset($product_record['image']) && count($product_record['image'])) {
											?>
                                
								<div class="product_gallery_block">
									<div class="c-magnified"></div>
                                    <div id="sync1" class="owl-carousel owl-theme">
                                        <?php foreach($product_record['image'] as $image ) { 
										?>
										<div class="item">
                                            <img src="<?php echo $image['urlPath'] ?>" alt="Image" class="img-fluid">
                                        </div>
                                        <?php } ?>
									</div>

                                    <div id="sync2" class="owl-carousel owl-theme">
                                        
										<?php 
											
										?>
										
										<?php foreach($product_record['image'] as $image ) { 
										?>
										<div class="item">
                                            <img src="<?php echo $image['thumbUrlPath'] ?>" alt="Image" class="img-fluid">
											<p style="text-align:center;"><?php echo $image['info1'] ?></p>
                                        </div>
                                        <?php } ?>
										
                                    </div>
                                </div>
								
							<?php } ?>
                                <div class="about_product_wrap">
                                    <h2><?php echo htmlencode($product_record['title']) ?></h2>
									<div class="product-description">
									<?php echo $product_record['content'] ?>
									</div>
                                    <!--
									<div class="about_inner">
                                        <h3>Application</h3>
                                        <p>These vents are used for a home with a crawlspace or any enclosed area that desires natural air ventilation and flood protection.</p>
                                    </div>
                                    <div class="about_inner">
                                        <h3>Flood Protection</h3>
                                        <p>The vent door is latched closed until it comes in contact with flood water. Entering flood water lifts the patented internal floats which unlatch and allow the door to rotate open. This allows the flood water to automatically enter and exit through the frame opening, relieving the pressure from the foundation walls. Certified flood debris clearance is demonstrated with a 3” diameter opening when the flood door is activated.</p>
                                    </div>
									-->
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-4">
                            <div class="product_right_block">
                                <div class="product_cart_block">
                                    <div class="product_mdl">
                                        <div class="product_inner_mdl">
                                            <span>Model Number</span>
                                            <p class="mdl-no"><?php echo htmlencode($product_record['model']) ?></p>
                                            <div class="product_prce">
                                                
                                                  <a href="/locator.php" class="btn_5">Find Dealer</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="prduct_dtls">
                                        <ul>
                                            <li>
                                                <span class="p_title">Flood Coverage</span>
                                                <span class="p_main"><?php echo htmlencode($product_record['flood_coverage']) ?></span>
                                            </li>
                                            <li>
                                                <span class="p_title">Air Ventilation</span>
                                                <span class="p_main"><?php echo htmlencode($product_record['ventilation']) ?></span>
                                            </li>
                                            <li>
                                                <span class="p_title">Vent Size</span>
                                                <span class="p_main"><?php echo htmlencode($product_record['product_dimensions']) ?></span>
                                            </li>
                                            <li>
                                                <span class="p_title">Rough Opening</span>
                                                <span class="p_main"><?php echo htmlencode($product_record['rough_opening']) ?></span>
                                            </li>
											<li>
                                                <span class="p_title">Available Colors</span>
                                                <span class="p_main"><?php echo htmlencode($product_record['main_color_option']) ?></span>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="tab_left_links">
                                    <h3 style="color:#1e4080;">Resources</h3>
                                    <ul>
										 <?php foreach ($product_record['downloads'] as $index => $upload): ?>
                                        <li><a style="color:#f47f62;" href="<?php echo htmlencode($upload['urlPath']) ?>" target="_blank"><?php echo htmlencode($upload['info1']) ?></a></li>
										 <?php endforeach ?>
                                    </ul>
<ul>
<?php echo ($product_record['resource_links']) ?>
</ul>
                                </div>
<?php
if(!empty($product_record['related_products'])) {
// load records from 'products'
  list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'products',
	'where'		  => "`num` IN (0".str_replace("	",",", $product_record['related_products'])."0)",
	'loadUploads' => true,
	'allowSearch' => false,
  ));
	if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
		?>
		<div class="tab_left_links vtl-related-products">
            <h3 style="color:#1e4080;">Related Products</h3>
			<?php foreach ($productsRecords as $record2): 
				$image = 'images/product_img.jpg';
				if(isset($record2['image'][0]['urlPath']) && !empty($record2['image'][0]['urlPath'])) {
					$image = $record2['image'][0]['urlPath'];
				}
				?>
				<div class="row">
					<div class="col-md-6">
					<a href="/products/view/<?php echo htmlencode($record2['product_url']) ?>">
											   <div class="sv-image"style="background-image:url('<?php echo $image ?>'); width:140px; height:80px;"></div></a>
					</div>
					<div class="col-md-6">
					<div class="model_inner" style="text-align:center">
                                                    <a style="color:#f47f62;" class="p_main" href="/products/view/<?php echo htmlencode($record2['product_url']) ?>" ><?php echo htmlencode($record2['title']) ?></a></div>
					</div>
				</div>
	<?php endforeach; ?>
        </div>
		<?php
		
	}
}
?>
                            </div>
                        </div>
                    </div>
                    <div class="row c-product_gallery" style="margin-top:15px;">
						<div class="col-md-6 col-lg-8">
							
							<?php 
							if(isset($product_record['gallery']) && count($product_record['gallery'])) { /* ?>                                
								<div id="sync3" class="owl-carousel owl-theme">                                        
									<?php 
									foreach($product_record['gallery'] as $image ) { ?>
										<div class="item">
											<img src="<?php echo $image['thumbUrlPath'] ?>" alt="Image" class="img-fluid">
										</div>
										<?php 
									} ?>
								</div>
								<?php */
								?>
                                <h2 style="margin-bottom:15px;">Gallery</h2>
								<div class="product_gallery_block">
									<div class="c-magnified"></div>
                                    <div id="sync11" class="owl-carousel owl-theme">
                                        <?php foreach($product_record['gallery'] as $image ) { 
										?>
										<div class="item">
                                            <img src="<?php echo $image['urlPath'] ?>" alt="Image" class="img-fluid">
                                        </div>
                                        <?php } ?>
									</div>
                                    <div id="sync22" class="owl-carousel owl-theme">
                                        
										<?php foreach($product_record['gallery'] as $image ) { ?>
										<div class="item">
                                            <img src="<?php echo $image['thumbUrlPath'] ?>" alt="Image" class="img-fluid">
                                        </div>
                                        <?php } ?>
                                    </div>
                                </div>
								
							<?php } ?>
							
						</div>
                    </div>
                </div>
            </section>
            <!-- End -->

         
          <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
		<script>
			$(document).ready(function(){	
				$("#sync2 .owl-nav .owl-next").html('<svg width="100%" height="100%" viewBox="0 0 11 20" version="1.1"><path style="fill:none;stroke-width: 1px;stroke: #000;" d="M1.054,18.214l8.606,-8.606l-8.606,-8.607"></path></svg>');
				
				$("#sync2 .owl-nav .owl-prev").html('<svg width="100%" height="100%" viewBox="0 0 11 20"><path style="fill:none;stroke-width: 1px;stroke: #000;" d="M9.554,1.001l-8.607,8.607l8.607,8.606"></path></svg>');
			});
			/* $(document).ready(function(){
				var $loupe = $(".c-magnified"),
					loupeWidth = $loupe.width(),
					loupeHeight = $loupe.height();

				$(document).on("mouseenter", "#sync1", function (e) {
					var $currImage = $(this).find('.active .item'),
						$img = $('<img/>')
						.attr('src', $(this).find('.active .item img').attr("src"))
						.css({ 'width': $currImage.width() * 2, 'height': $currImage.height() * 2 });
						console.log($img);
					$loupe.html($img).fadeIn(100);
					
					$(document).on("mousemove","img",moveHandler);
								   
					function moveHandler(e) {
						var imageOffset = $currImage.offset(),
							fx = imageOffset.left - loupeWidth / 2,
							fy = imageOffset.top - loupeHeight / 2,
							fh = imageOffset.top + $currImage.height() + loupeHeight / 2,
							fw = imageOffset.left + $currImage.width() + loupeWidth / 2;
						
						$loupe.css({
							'left': e.pageX - 75,
							'top': e.pageY - 75
						});

						var loupeOffset = $loupe.offset(),
							lx = loupeOffset.left,
							ly = loupeOffset.top,
							lw = lx + loupeWidth,
							lh = ly + loupeHeight,
							bigy = (ly - loupeHeight / 4 - fy) * 2,
							bigx = (lx - loupeWidth / 4 - fx) * 2;

						$img.css({ 'left': -bigx, 'top': -bigy });

						if (lx < fx || lh > fh || ly < fy || lw > fw) {
							$img.remove();
							$(document).off("mousemove",moveHandler);
							$loupe.fadeOut(100);
						}
					}
				});
			}); */
		</script>
    </body>
</html>