<?php
	if(!isset($_GET['slug']) || (isset($_GET['slug']) && empty($_GET['slug']))) {
		header('location:/404.php');
		exit;
	}
	/* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

// load records from 'categories2s'
  list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'categories2',
	'where'		  => " `url` = '".mysql_escape($_GET['slug'])."' ",
	'loadUploads' => true,
	'allowSearch' => false,
  ));
  if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
	$product_record = $productsRecords[0];
  } else {
	header('location:/404.php');
	exit;
  }
 
  $meta_title = $meta_keywords = $meta_description = "SmartVent | Product";
  if(isset($product_record['meta_title']) && !empty($product_record['meta_title']))
	$meta_title = $product_record['meta_title'];
  if(isset($product_record['meta_keywords']) && !empty($product_record['meta_keywords']))
	$meta_keywords = $product_record['meta_keywords'];
  if(isset($product_record['meta_description']) && !empty($product_record['meta_description']))
	$meta_description = $product_record['meta_description'];
?><!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
		<base href="https://test.smartvent.com" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

        <title><?php echo $meta_title ?></title>
		<meta name="title" content="<?php echo $meta_title ?>">
		<meta name="description" content="<?php echo $meta_description ?>">
		<meta name="keywords" content="<?php echo $meta_keywords ?>">
    </head>
    <body>
        <main class="main_catalog_wrapper">

           <?php include 'includes/header.php'?>
<?php 



  // load records from 'categories2'
  list($categoriesRecords, $categoriesMetaData) = getRecords(array(
    'tableName'   => 'categories2',
    'loadUploads' => true,
    'allowSearch' => false,
  ));

?>
            <!-- Product Catalog -->
            <section class="catalog_content_wrap">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="tabs_left_main">
                                <h2>Product Resources</h2>
                                <ul class="nav nav-pills" id="pills-tab" role="tablist">
									<?php 
									$classShow = ' active';
									foreach ($categoriesRecords as $record): 
									if(isset($_GET['slug'])) {
										if(isset($_GET['slug']) && $_GET['slug'] == $record['url']) {
											$classShow = ' active ';
										} else {
											$classShow = '';
										}
									} ?>
                                    <li class="nav-item">
                                        <a class="nav-link<?php echo $classShow;?>" id="pills-<?php echo htmlencode($record['url']) ?>-tab" data-toggle="pill" href="#pills-<?php echo htmlencode($record['url']) ?>" role="tab" aria-controls="pills-<?php echo htmlencode($record['url']) ?>" aria-selected="true"><?php echo htmlencode($record['title']) ?></a>
                                    </li>
									<?php $classShow=''; endforeach ?>
                                    <!-- <li class="nav-item">
                                        <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">Insulated</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Options <br/>& Accessories</a>
                                    </li> -->
                                </ul>
                         <!--
                                <div class="tab_left_links">
                                    <h3>Specifications</h3>
                                    <ul>
                                        <li><a href="#">Master Format '16 (.doc)</a></li>
                                    </ul>
                                </div> -->
                            </div>
                        </div>
                        <div class="col-md-8 col-lg-9">
                            <div class="tab-content" id="pills-tabContent">
								<?php 
								$classShow = ' show active ';
								foreach ($categoriesRecords as $record): 
								
								if(isset($_GET['slug'])) {
									if(isset($_GET['slug']) && $_GET['slug'] == $record['url']) {
										$classShow = ' show active ';
									} else {
										$classShow = '';
									}
								}
							
								
								?>
                                    
									<div class="tab-pane fade <?php echo $classShow ?>" id="pills-<?php echo htmlencode($record['url']) ?>" role="tabpanel" aria-labelledby="pills-<?php echo htmlencode($record['url']) ?>-tab">
                                    <div class="tab_header">
                                        <h2><?php echo htmlencode($record['title']) ?></h2>
                                    </div>
                                    <div class="row-delete">
										
                                        
                                            <div class="model_block no-force-image common-content">
                                               
                                                <div class="model_inner">
                                                   <?php echo $record['content']; ?>
                                                </div>
                                            
                                        </div>
                                     
										
										
										
										
										
                                       
                                    </div>
                                </div>
								<?php 
								$classShow = '';
								endforeach ?>

								<!--
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                                    <div class="tab_header">
                                        <h2>Dual Function</h2>
                                    </div>
                                    <div class="row">
										<?php foreach ($productsRecords as $record): ?>
                                        <div class="col-md-6 col-lg-4">
                                            <div class="model_block">
                                                <img src="images/product_img.jpg" alt="Image" class="img-fluid">
                                                <div class="model_inner">
                                                    <h3><?php echo htmlencode($record['title']) ?></h3>
                                                    <p>Product Description Goes Here</p>
                                                    <a href="#" class="btn_2">Details</a>
                                                    <a href="#" class="btn_5">Find Dealer</a>
                                                </div>
                                            </div>
                                        </div>
                                     <?php endforeach ?>
										
										
										
										
										
                                       
                                    </div>
                                </div>
                             -->
                            </div>
                        </div>
                    </div>
                </div> 

 <?php if ($record['breakout_box']): ?>
<div class="why_quote_wrap">
                        <p><span><?php echo $record['breakout_box']; ?></p>
                    </div><?php endif; ?>
            </section>
            <!-- End -->

          <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
    </body>
</html>